<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project name="mosaik-api-java" default="dist" basedir=".">
    <property name="version" value="3.1"/>

    <target name="compile">
        <mkdir dir="build"/>
        <javac srcdir="src:tests"
            destdir="build"
            classpath="lib/json-simple-1.1.1.jar" />
    </target>


    <target name="dist" depends="compile">
        <mkdir dir="dist"/>
        <jar jarfile="dist/mosaik-api-java-${version}.jar" basedir="build">
	    	<zipgroupfileset dir="lib" includes="json-simple-1.1.1.jar" />
    	</jar>
        <copy todir="dist">
            <fileset dir="lib">
                <include name="*.jar"/>
            </fileset>
        </copy>
    </target>
</project>